Target version:    

Resolution: No feedback Affected version: 1.0.3

Description

I have noticed, that eaven if there are both language files (plugin-dir/config/local and lang), when switching languages, it shows that it

has not found those language strings.

Only after I copy that plugin language content to main (config/locales) file, only then, it works. I think it's a bug, cause default version

(english) is working correctly, no errors shown, but when switch language, errors reaveals.

I have checked, my new language files is copy of english ones, and have added correct country code and everything is set to work,

but no.

History

#1 - 2010-11-13 10:35 - Nils Linde

- Assignee deleted (Azamat Hackimov)

#2 - 2010-11-13 11:36 - Jean-Philippe Lang

- Category changed from Translations to Plugin API

- Priority changed from High to Normal

I've just tested with 1.0.3 and the sample plugin (that can be found in extra/sample_plugin) and localization is fine.

#3 - 2010-11-13 11:46 - Nils Linde

So, that could be the plugin problem?

Is there anything more to be done, than just adding a yml file to those directories with specific language code (and for new version, adding language

code to first line, e.g. en: or lv:)?

#4 - 2010-11-15 12:16 - Henrik Ammer

Nils Linde wrote:

So, that could be the plugin problem?

Is there anything more to be done, than just adding a yml file to those directories with specific language code (and for new version, adding

language code to first line, e.g. en: or lv:)?

 Have you restarted the webserver? Cuz my webserver running Redmine in production mode definatly needs one for new language files.

#5 - 2010-11-15 12:28 - Nils Linde

Henrik Ammer wrote:

Nils Linde wrote:

So, that could be the plugin problem?

Is there anything more to be done, than just adding a yml file to those directories with specific language code (and for new version, adding

language code to first line, e.g. en: or lv:)?

 Have you restarted the webserver? Cuz my webserver running Redmine in production mode definatly needs one for new language files.

 Ofcourse, it needs restart after every string change, cause it needs to recompile templates. Have done that, nothing helps...

#6 - 2013-03-18 13:47 - Ivan Cenov
I did not encountered such problem. We use several plugins that were localized in our Bulgarian language and there were no any problems.

#7 - 2013-03-18 14:26 - Daniel Felix

- Due date set to 2013-04-01

- Status changed from New to Needs feedback

The same for me with German language files.

Please recheck if this still occurs with current Redmine releases. Otherwise I will close this in two weeks (1st April).

Thanks!

#8 - 2013-03-18 20:10 - Ivan Cenov

Plugins that respect language that is set in user's profile, tested now:

Redmine Issue Checklist plugin, http://redminecrm.com

Did You Mean?, http://www.github.com/abahgat/redmine_didyoumean

Redmine Theme Changer plugin, http://www.r-labs.org/projects/themechanger

Redmine Favourite Projects plugin, https://github.com/syntacticvexation/redmine_favourite_projects

Redmine Information Plugin, http://www.r-labs.org/projects/rp-admin-reports/wiki/Redmine_Information_Plugin

#9 - 2013-04-10 12:15 - Daniel Felix

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

Closing this as there is no feedback on this issue. We thing this is resolved in current releases.

Thanks Ivan for testing.
